#
# spec file for package aprc
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           aprx
Version:        2.9.1
Release:        lp156.1.1
Summary:        Digipeater Software
License:        BSD-3-Clause
URL:            https://thelifeofkenneth.com/aprx/
Source:         https://thelifeofkenneth.com/aprx/release/%{name}-%{version}.tar.gz
Patch0:         ftbfs-gcc14.patch

%description
Aprx is a software package designed to run on any POSIX platform
(Linux/BSD/Unix/etc.) and act as an APRS Digipeater and/or Internet Gateway.
Aprx is able to support most APRS infrastructure deployments, including single
stand-alone digipeaters, receive-only Internet gateways, full RF-gateways for
bi-directional routing of traffic, and multi-port digipeaters operating on
multiple channels or with multiple directional transceivers.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%license LICENSE
%doc ChangeLog README PROTOCOLS ROADMAP
%{_sysconfdir}/aprx.conf
%{_sbindir}/aprx
%{_sbindir}/aprx-stat
%{_mandir}/man8/*.8%{?ext_man}

%changelog
* Thu Feb 20 2025 Andreas Stieger <andreas.stieger@gmx.de>
- initial package
